Services
All operations require authentication.
Get the Bloc IP status of the modemProduction
Returns whether the Bloc IP service is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ blocIp \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable Bloc IP on the modemProduction
Changes the status of the Bloc IP service on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ blocIp \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the call waiting status of the modemProduction
Returns whether call waiting is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ callWaiting \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable call waiting on the modemProduction
Changes the status of call waiting on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ callWaiting \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the content sharing status of the modemProduction
Returns whether content sharing is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ contentSharing \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable content sharing on the modemProduction
Changes the status of content sharing on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ contentSharing \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the FTP status of the modemProduction
Returns whether the FTP service is enabled or disabled on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ ftp \
-H "authorization: Bearer $OVH_TOKEN""disabled"
Enable or disable FTP on the modemProduction
Changes the status of the FTP service on the modem of the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status of the service
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ ftp \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}